# List external pages

You can retrieve a list of all external pages for a workspace.

Endpoint: GET /ai/external_pages
Version: 2.15
Security: bearerAuth

## Header parameters:

  - `Intercom-Version` (string)
    Intercom API version.By default, it's equal to the version set in the app package.
    Enum: "1.0", "1.1", "1.2", "1.3", "1.4", "2.0", "2.1", "2.2", "2.3", "2.4", "2.5", "2.6", "2.7", "2.8", "2.9", "2.10", "2.11", "2.12", "2.13", "2.14"

## Response 200 fields (application/json):

  - `type` (string)
    The type of the object - list.
    Enum: "list"

  - `pages` (object)
    The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

  - `pages.type` (string)
    Enum: "pages"

  - `pages.page` (integer)
    Example: 1

  - `pages.next` (string,null)
    A link to the next page of results. A response that does not contain a next link does not have further data to fetch.

  - `pages.per_page` (integer)
    Example: 50

  - `pages.total_pages` (integer)
    Example: 1

  - `total_count` (integer)
    A count of the total number of external pages.
    Example: 1

  - `data` (array)
    An array of External Page objects

  - `data.type` (string, required)
    Always external_page
    Enum: "external_page"

  - `data.id` (string, required)
    The unique identifier for the external page which is given by Intercom.
    Example: "1234"

  - `data.title` (string, required)
    The title of the external page.
    Example: "Getting started with..."

  - `data.html` (string, required)
    The body of the external page in HTML.
    Example: "<p>Hello world!</p>"

  - `data.url` (string)
    The URL of the external page. This will be used by Fin to link end users to the page it based its answer on.
    Example: "https://help.example.com/en/articles/1234-getting-started"

  - `data.ai_agent_availability` (boolean, required)
    Whether the external page should be used to answer questions by AI Agent.
    Example: true

  - `data.ai_copilot_availability` (boolean, required)
    Whether the external page should be used to answer questions by AI Copilot.
    Example: true

  - `data.fin_availability` (boolean)
    Deprecated. Use ai_agent_availability and ai_copilot_availability instead.
    Example: true

  - `data.locale` (string, required)
    Always en
    Enum: "en"

  - `data.source_id` (integer, required)
    The unique identifier for the source of the external page which was given by Intercom. Every external page must be associated with a Content Import Source which represents the place it comes from and from which it inherits a default audience (configured in the UI). For a new source, make a POST request to the Content Import Source endpoint and an ID for the source will be returned in the response.
    Example: 1234

  - `data.external_id` (string, required)
    The identifier for the external page which was given by the source. Must be unique for the source.
    Example: "5678"

  - `data.created_at` (integer, required)
    The time when the external page was created.
    Example: 1672928359

  - `data.updated_at` (integer, required)
    The time when the external page was last updated.
    Example: 1672928610

  - `data.last_ingested_at` (integer, required)
    The time when the external page was last ingested.
    Example: 1672928610

## Response 401 fields (application/json):

  - `type` (string, required)
    The type is error.list
    Example: "error.list"

  - `request_id` (string,null)
    Example: "f93ecfa8-d08a-4325-8694-89aeb89c8f85"

  - `errors` (array, required)
    An array of one or more error objects

  - `errors.code` (string, required)
    A string indicating the kind of error, used to further qualify the HTTP response code
    Example: "unauthorized"

  - `errors.message` (string,null)
    Optional. Human readable description of the error.
    Example: "Access Token Invalid"

  - `errors.field` (string,null)
    Optional. Used to identify a particular field or query parameter that was in error.
    Example: "email"


